Package Gnumed :: Package business :: Module gmMedication :: Class cConsumableSubstance |
[frames] | no frames]

# Class cConsumableSubstance

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cConsumableSubstance

Instance Methods
save_payload(self, conn=None) Store updated values (if any) in database. | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `format`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| is_in_use_by_patients = `property(_get_is_in_use_by_patients, l`...``
| is_drug_component = `property(_get_is_drug_component, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### save_payload(self, conn=None) | source code
    Store updated values (if any) in database.

    Optionally accepts a pre-existing connection
    - returns a tuple (<True|False>, <data>)
    - True: success
    - False: an error occurred
            * data is (error, message)
            * for error meanings see gmPG2.run_rw_queries()
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.save_payload (inherited documentation)

Class Variable Details

  ### is_in_use_by_patients Value:
      property(_get_is_in_use_by_patients, lambda x: x)